#######################################################;
#DROP TABLE IF EXISTS nuke_webring;

CREATE TABLE IF NOT EXISTS nuke_webring (
  ringid INT(11) NOT NULL,
  uid INT(11) NOT NULL,
  activ TINYINT(1) NOT NULL,
  siteurl VARCHAR(255) NOT NULL,
  title VARCHAR(50) NOT NULL,
  description VARCHAR(255) NOT NULL,
  logourl VARCHAR(255),
  submitdate DATETIME NOT NULL,
  counter INT(11) NOT NULL,
  counter_back INT(11) NOT NULL,
  msg TEXT default NULL
) TYPE=MyISAM;

# Felder anfuegen;
ALTER TABLE nuke_webring ADD ring INT(11) NOT NULL FIRST;
ALTER TABLE nuke_webring ADD lastdate DATE NOT NULL;
ALTER TABLE nuke_webring ADD lastpage TEXT NOT NULL; 
ALTER TABLE nuke_webring ADD logo_bin BLOB;
ALTER TABLE nuke_webring ADD logo_prefs TINYBLOB NOT NULL;
ALTER TABLE nuke_webring ADD warndate DATE NOT NULL AFTER lastpage;
ALTER TABLE nuke_webring ADD deadlink TINYINT NOT NULL AFTER counter_back;
ALTER TABLE nuke_webring ADD keywords TEXT;
ALTER TABLE nuke_webring ADD logomsg VARCHAR(100) AFTER logourl;  

# Indexe anfuegen;
ALTER TABLE nuke_webring ADD UNIQUE ringuser (ring,uid);
ALTER TABLE nuke_webring ADD UNIQUE ringpages (ring,siteurl);
ALTER TABLE nuke_webring ADD INDEX ring (ring);
ALTER TABLE nuke_webring DROP PRIMARY KEY;
ALTER TABLE nuke_webring ADD PRIMARY KEY (ringid);

# Felder aendern;
ALTER TABLE nuke_webring CHANGE ring ring INT(11) NOT NULL DEFAULT 1;
ALTER TABLE nuke_webring CHANGE ringid ringid INT(11) NOT NULL DEFAULT 0 AUTO_INCREMENT;
ALTER TABLE nuke_webring CHANGE uid uid INT(11) NOT NULL default 0;
ALTER TABLE nuke_webring CHANGE activ activ TINYINT(1) NOT NULL default 0;
ALTER TABLE nuke_webring CHANGE description description TEXT NOT NULL;
ALTER TABLE nuke_webring CHANGE logourl logourl VARCHAR(255) default NULL;
ALTER TABLE nuke_webring CHANGE submitdate submitdate DATETIME NOT NULL DEFAULT 'now()';
ALTER TABLE nuke_webring CHANGE counter counter INT(11) NOT NULL default 0;
ALTER TABLE nuke_webring CHANGE counter_back counter_back INT(11) NOT NULL default 0;
ALTER TABLE nuke_webring CHANGE msg msg TEXT DEFAULT NULL;
ALTER TABLE nuke_webring CHANGE lastdate lastdate DATE NOT NULL DEFAULT 'now()';
ALTER TABLE nuke_webring CHANGE warndate warndate DATE NOT NULL DEFAULT 0;
ALTER TABLE nuke_webring CHANGE deadlink deadlink TINYINT NOT NULL DEFAULT 0;

# Standardwerte eintragen;
update nuke_webring set lastdate = now() where (lastdate is null) or (lastdate=0);
update nuke_webring set submitdate = now() where (submitdate is null) or (submitdate=0);
update nuke_webring set ring=1 where (ring is null) or (ring=0);

############################################################;
#DROP TABLE IF EXISTS nuke_webring_config;

CREATE TABLE IF NOT EXISTS nuke_webring_config (
  nr_webring INT(11) NOT NULL,
  ringName VARCHAR(100) NOT NULL,
  ringDescription TEXT NOT NULL,
  ringDescAllPages TINYINT(1) NOT NULL,
  ringShowUserlogo TINYINT(1) NOT NULL,
  ringSendmail TINYINT(1) NOT NULL,
  ringSendprvmsg TINYINT(1) NOT NULL,
  ringSendprvmsgIcon VARCHAR(50) NOT NULL,
  ringAdminUserId INT(11) NOT NULL,
  ringDeactivateDeadUsers SMALLINT(4) NOT NULL,
  ringDeactivateBadUsers SMALLINT(4) NOT NULL
) TYPE=MyISAM;

ALTER TABLE nuke_webring_config CHANGE nr_webring nr_webring INT(11) NOT NULL;
ALTER TABLE nuke_webring_config DROP PRIMARY KEY;

# ueberfluessige Felder loeschen;
ALTER TABLE nuke_webring_config DROP ringListtheme;
ALTER TABLE nuke_webring_config DROP ringUserlogowidth;
ALTER TABLE nuke_webring_config DROP ringUserlogoheight;
ALTER TABLE nuke_webring_config DROP ringNukeVersion;

############################################################;
#DROP TABLE IF EXISTS nuke_webring_rings;

ALTER TABLE nuke_webring_config RENAME nuke_webring_rings;

ALTER TABLE nuke_webring_rings CHANGE nr_webring ring INT(11) NOT NULL;

ALTER TABLE nuke_webring_rings ADD PRIMARY KEY (ring);
ALTER TABLE nuke_webring_rings ADD UNIQUE(ringName);
	
ALTER TABLE nuke_webring_rings ADD ringMaxlogofilesize MEDIUMINT(7) NOT NULL;
ALTER TABLE nuke_webring_rings ADD ringListentries TINYINT(3) NOT NULL;
ALTER TABLE nuke_webring_rings ADD ringDefaultsort TINYINT(3) NOT NULL;
ALTER TABLE nuke_webring_rings ADD ringFramepos TINYINT(1) NOT NULL; 
ALTER TABLE nuke_webring_rings ADD ringStartdate DATE NOT NULL;

ALTER TABLE nuke_webring_rings CHANGE ring ring INT(11) DEFAULT 0 NOT NULL AUTO_INCREMENT;
ALTER TABLE nuke_webring_rings CHANGE ringDescAllPages ringDescAllPages TINYINT(1) NOT NULL default 0;
ALTER TABLE nuke_webring_rings CHANGE ringShowUserlogo ringShowUserlogo TINYINT(1) NOT NULL default 0;
ALTER TABLE nuke_webring_rings CHANGE ringSendmail ringSendmail TINYINT(1) NOT NULL DEFAULT 0;
ALTER TABLE nuke_webring_rings CHANGE ringSendprvmsg ringSendprvmsg TINYINT(1) NOT NULL default 0;
ALTER TABLE nuke_webring_rings CHANGE ringAdminUserId ringAdminUserId INT(11) NOT NULL DEFAULT 2;
ALTER TABLE nuke_webring_rings CHANGE ringDeactivateDeadUsers ringDeactivateDeadUsers SMALLINT(4) NOT NULL default 0;
ALTER TABLE nuke_webring_rings CHANGE ringDeleteDeadUsers ringDeactivateBadUsers SMALLINT(4) NOT NULL DEFAULT 0;
ALTER TABLE nuke_webring_rings CHANGE ringMaxlogofilesize ringMaxlogofilesize MEDIUMINT(7) DEFAULT 20000 NOT NULL;
ALTER TABLE nuke_webring_rings CHANGE ringListentries ringListentries TINYINT(3) DEFAULT 10 NOT NULL;
ALTER TABLE nuke_webring_rings CHANGE ringDefaultsort ringDefaultsort TINYINT(3) DEFAULT 1 NOT NULL;
ALTER TABLE nuke_webring_rings ADD ringFramepos TINYINT(1) DEFAULT 1 NOT NULL; 
ALTER TABLE nuke_webring_rings CHANGE ringStartdate ringStartdate DATE NOT NULL DEFAULT 'now()';

update nuke_webring_rings set ringMaxlogofilesize=20000 where (ringMaxlogofilesize is null) or (ringMaxlogofilesize=0);
update nuke_webring_rings set ringListentries=10 where (ringListentries is null) or (ringListentries=0);
update nuke_webring_rings set ringDefaultsort=1 where (ringDefaultsort is null) or (ringDefaultsort=0);
update nuke_webring_rings set ringStartdate = now() where (ringStartdate is null) or (ringStartdate=0);

############################################################;
#DROP TABLE IF EXISTS nuke_webring_votedata;

CREATE TABLE IF NOT EXISTS nuke_webring_votedata (
  rating_dbid INT(11) NOT NULL,
  rating_ringid INT(11) NOT NULL,
  rating_user VARCHAR(60) NOT NULL,
  rating INT(11) NOT NULL,
  rating_hostname VARCHAR(60) NOT NULL,
  rating_comments TEXT NOT NULL,
  rating_time DATETIME NOT NULL
) TYPE=MyISAM;

ALTER TABLE nuke_webring_votedata DROP PRIMARY KEY;
ALTER TABLE nuke_webring_votedata ADD PRIMARY KEY (rating_dbid);
ALTER TABLE nuke_webring_votedata CHANGE rating_dbid rating_dbid INT(11) DEFAULT 0 NOT NULL AUTO_INCREMENT;
ALTER TABLE nuke_webring_votedata CHANGE rating_ringid rating_ringid INT(11) NOT NULL default 0;
ALTER TABLE nuke_webring_votedata CHANGE rating rating INT(11) NOT NULL default 0;
ALTER TABLE nuke_webring_votedata CHANGE rating_time rating_time DATETIME NOT NULL DEFAULT 'now()';
